FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Portage Developer

 
 
LinkBack Thread Tools
 
Old 05-12-2008, 06:47 PM
Fabian Groffen
 
Default unpack .deb files with deb2tgz

Attached patch is necessary for some extreme platforms, as can be read
in the comments.

--
Fabian Groffen
Gentoo on a different level
--- ../../trunk/bin/ebuild.sh 2008-04-27 17:36:18 +0200
+++ ./bin/ebuild.sh 2008-04-13 11:41:55 +0200
@@ -372,9 +372,22 @@
LHa|LHA|lha|lzh)
lha xfq "${srcdir}${x}" || die "$myfail"
;;
- a|deb)
+ a)
ar x "${srcdir}${x}" || die "$myfail"
;;
+ deb)
+ # Unpacking .deb archives can not always be done with
+ # `ar`. For instance on AIX this doesn't work out. If
+ # we have `deb2targz` installed, prefer it over `ar` for
+ # that reason. We just make sure on AIX `deb2targz` is
+ # installed.
+ if type -P deb2targz > /dev/null; then
+ deb2targz "${srcdir}/${x}" || die "$myfail"
+ mv "${srcdir}/${x/.deb/.tar.gz}" data.tar.gz
+ else
+ ar x "${srcdir}/${x}" || die "$myfail"
+ fi
+ ;;
lzma)
if [ "${y}" == "tar" ]; then
lzma -dc "${srcdir}${x}" | tar xof - ${tar_opts}
 

Thread Tools




All times are GMT. The time now is 11:09 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org